Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.math
Class Plane3D

    java.lang.Object
      com.vividsolutions.jts.math.Plane3D

    public class Plane3D

extends java.lang.Object

Models a plane in 3-dimensional Cartesian space.

Author:
  mdavis

Field Summary
`static int` | `XY_PLANE` Enums for the 3 coordinate planes
`static int` | `XZ_PLANE`
`static int` | `YZ_PLANE`

Constructor Summary
`Plane3D(Vector3D normal, Coordinate basePt)`

Method Summary
`int` | `closestAxisPlane()` Computes the axis plane that this plane lies closest to.
`double` | `orientedDistance(Coordinate p)` Computes the oriented distance from a point to the plane.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XY_PLANE

    public static final int XY_PLANE

  Enums for the 3 coordinate planes

  See Also:
    Constant Field Values

### YZ_PLANE

    public static final int YZ_PLANE

See Also:
  Constant Field Values

### XZ_PLANE

    public static final int XZ_PLANE

See Also:
  Constant Field Values

Constructor Detail

### Plane3D

    public Plane3D(Vector3D normal,
                   Coordinate basePt)

Method Detail

### orientedDistance

    public double orientedDistance(Coordinate p)

  Computes the oriented distance from a point to the plane. The distance is:
  - positive if the point lies above the plane (relative to the plane normal)
  - zero if the point is on the plane
  - negative if the point lies below the plane (relative to the plane normal)

  Parameters:
    `p` - the point to compute the distance for
  Returns:
    the oriented distance to the plane

### closestAxisPlane

    public int closestAxisPlane()

  Computes the axis plane that this plane lies closest to.

  Geometries lying in this plane undergo least distortion (and have maximum area) when projected to the closest axis plane. This provides optimal conditioning for computing a Point-in-Polygon test.

  Returns:
    the index of the closest axis plane.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD